
Foreman - Bug #11395

Unable To Create New VMWare Host due to Error undefined method `hardware_version' for

#<Fog::Compute::Vsphere::Server:XXXXXX>

08/18/2015 03:11 AM - shankar janagoud

Status: Rejected   

Priority: High   

Assignee:    

Category: Compute resources - VMware   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

While creating new vm host observed "Error loading virtual machine information: Internal Server Error" in "virtual machine" tab of

foreman gui.

1. Login to foreman

2. Select New host and provide all attributes needed.

3. Select VMware for DeployOn field

From the trace I can see below error message

2015-08-14 10:41:35 [W] Operation FAILED: undefined method `hardware_version' for

#<Fog::Compute::Vsphere::Server:0x0000000c3f0e10>

2015-08-14 10:41:35 [D] /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/helpers/form_helper.rb:1154:in

`value'

PFA production.log for more details

History

#1 - 08/18/2015 03:14 AM - shankar janagoud

ESXi Version: 5.5

Foreman: 1.8.2

Fog : 1.29

#2 - 08/18/2015 03:35 AM - Dominic Cleal

- Category set to Compute resources - VMware

- Status changed from New to Need more information

Could you check if this command provides any further logs?

grep -A50 "Fog initialization failed" /var/log/foreman/production.log

The output from these would also be useful:

rpm -qaV ruby193-rubygem-fog\*

rpm -qa foreman\* ruby193-rubygem-fog\*

#3 - 08/18/2015 05:04 AM - shankar janagoud

- File temp.log added

The previously attached production log was old. With new log I can see the "Fog initialization failure"

For "grep -A50 "Fog initialization failed" /var/log/foreman/production.log" please find the file attached(temp.log).

[xxx@xxx]# rpm -qaV ruby193-rubygem-fog\*

.......T.    /opt/rh/ruby193/root/usr/share/gems/gems/fog-1.29.0/lib/fog/vsphere/models/compute/interface.rb
.......T.    /opt/rh/ruby193/root/usr/share/gems/gems/fog-1.29.0/lib/fog/vsphere/requests/compute/vm_clone.rb

[xxx@xxx]# rpm -qa foreman\* ruby193-rubygem-fog\*

foreman-debug-1.8.2-1.el6.noarch

foreman-release-1.8.2-1.el6.noarch

ruby193-rubygem-fog-xml-0.1.1-1.el6.noarch

ruby193-rubygem-fog-1.29.0-1.el6.noarch

foreman-ovirt-1.8.2-1.el6.noarch

ruby193-rubygem-fog-json-1.0.0-2.el6.noarch

ruby193-rubygem-fog-aws-0.1.0-1.el6.noarch

foreman-selinux-1.8.2-1.el6.noarch

foreman-proxy-1.8.2-2.el6.noarch

foreman-1.8.2-1.el6.noarch

foreman-vmware-1.8.2-1.el6.noarch

foreman-postgresql-1.8.2-1.el6.noarch

ruby193-rubygem-fog-brightbox-0.0.1-1.el6.noarch

foreman-compute-1.8.2-1.el6.noarch

foreman-libvirt-1.8.2-1.el6.noarch

foreman-cli-1.8.2-1.el6.noarch

foreman-installer-1.8.2-1.el6.noarch

ruby193-rubygem-fog-softlayer-0.3.9-1.el6.noarch

ruby193-rubygem-fog-core-1.29.0-1.el6.noarch

foreman-ec2-1.8.2-1.el6.noarch

foreman-console-1.8.2-1.el6.noarch

#4 - 08/18/2015 05:42 AM - Dominic Cleal

I can't reproduce this yet, and have an almost identical setup, so I'm not sure what's going on.  It would appear that part of Fog's not loading correctly

(/opt/rh/ruby193/root/usr/share/gems/gems/fog-1.29.0/lib/fog/vsphere/requests/compute/get_virtual_machine.rb, called from

~foreman/app/models/concerns/fog_extensions.rb.

My only other thought is, do you have any plugins installed?  Output from "foreman-rake plugins" and/or "rpm -qa ruby193-rubygem-foreman\*" should

show.

#5 - 08/18/2015 07:00 AM - shankar janagoud

[xxx@xxx]# rpm -qa ruby193-rubygem-foreman\*

ruby193-rubygem-foreman_param_lookup-0.2.0-1.el6.noarch

ruby193-rubygem-foreman-tasks-0.6.13-2.el6.noarch

ruby193-rubygem-foreman_hooks-doc-0.3.7-3.el6.noarch

ruby193-rubygem-foreman_bootdisk-5.0.0-1.el6.noarch

ruby193-rubygem-foreman_column_view-doc-0.2.0-1.el6.noarch

ruby193-rubygem-foreman_hooks-0.3.7-3.el6.noarch

ruby193-rubygem-foreman_docker-doc-1.4.0-1.fm1_8.el6.noarch

ruby193-rubygem-foreman_column_view-0.2.0-1.el6.noarch

ruby193-rubygem-foreman_openstack_cluster-0.0.1-1.el6.noarch

ruby193-rubygem-foreman_salt-2.1.0-1.el6.noarch

ruby193-rubygem-foreman_discovery-3.0.0-1.el6.noarch

ruby193-rubygem-foreman_docker-1.4.0-1.fm1_8.el6.noarch

ruby193-rubygem-foreman_dhcp_browser-doc-0.0.6-1.el6.noarch

ruby193-rubygem-foreman_param_lookup-doc-0.2.0-1.el6.noarch

ruby193-rubygem-foreman_setup-doc-2.1.1-1.el6.noarch

ruby193-rubygem-foreman_discovery-doc-3.0.0-1.el6.noarch

ruby193-rubygem-foreman_salt-doc-2.1.0-1.el6.noarch

ruby193-rubygem-foreman_dhcp_browser-0.0.6-1.el6.noarch

ruby193-rubygem-foreman_setup-2.1.1-1.el6.noarch

ruby193-rubygem-foreman_templates-1.5.0-1.el6.noarch

ruby193-rubygem-foreman_chef-doc-0.1.3-2.el6.noarch

ruby193-rubygem-foreman_openstack_cluster-doc-0.0.1-1.el6.noarch

ruby193-rubygem-foreman_chef-0.1.3-2.el6.noarch

ruby193-rubygem-foreman_templates-doc-1.5.0-1.el6.noarch

[root@foreman foreman]# cd /etc/puppet/modules/ceph/

[root@foreman ceph]# foreman-rake plugins

#6 - 06/10/2016 03:46 PM - Anonymous

what's the status here?

#7 - 12/30/2016 09:54 AM - Anonymous

- Status changed from Need more information to Rejected

no reaction, closing.

Files

05/09/2024 2/3



production.log 30.1 KB 08/18/2015 shankar janagoud

temp.log 80.2 KB 08/18/2015 shankar janagoud
